from rest_framework.serializers import ModelSerializer, CharField

from greg.api.serializers.ouidentifier import OuIdentifierSerializer

from greg.models import OrganizationalUnit


class OrganizationalUnitSerializer(ModelSerializer):
    identifiers = OuIdentifierSerializer(many=True)

    class Meta:
        model = OrganizationalUnit
        fields = [
            "id",
            "created",
            "updated",
            "name_nb",
            "name_en",
            "active",
            "deleted",
            "parent",
            "identifiers",
        ]


class SponsorOrgUnitsSerializer(ModelSerializer):
    nb = CharField(source="name_nb")
    en = CharField(source="name_en")

    class Meta:
        model = OrganizationalUnit
        fields = ["id", "nb", "en"]
